Bug 1487589 (CVE-2017-0902) - CVE-2017-0902 rubygems: DNS hijacking vulnerability
Summary: CVE-2017-0902 rubygems: DNS hijacking vulnerability
Status: CLOSED ERRATA
Alias: CVE-2017-0902
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170831,repor...
Keywords: Security
Depends On: 1487591 1487592 1487593 1502048 1509450 1509451 1534437 1534438 1534937 1534938 1534940 1534941
Blocks: 1487526 1487605
TreeView+ depends on / blocked
 
Reported: 2017-09-01 10:55 UTC by Adam Mariš
Modified: 2018-03-26 10:22 UTC (History)
30 users (show)

(edit)
A vulnerability was found where rubygems did not sanitize DNS responses when requesting the hostname of the rubygems server for a domain, via a _rubygems._tcp DNS SRV query. An attacker with the ability to manipulate DNS responses could direct the gem command towards a different domain.
Clone Of:
(edit)
Last Closed: 2017-12-20 09:39:05 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3485 normal SHIPPED_LIVE Moderate: rh-ruby24-ruby security, bug fix, and enhancement update 2017-12-19 13:37:01 UTC
Red Hat Product Errata RHSA-2018:0378 normal SHIPPED_LIVE Important: ruby security update 2018-03-01 01:06:17 UTC
Red Hat Product Errata RHSA-2018:0583 None None None 2018-03-26 09:44 UTC
Red Hat Product Errata RHSA-2018:0585 None None None 2018-03-26 10:22 UTC

Description Adam Mariš 2017-09-01 10:55:01 UTC
RubyGems version 2.6.12 and earlier is vulnerable to a DNS hijacking
vulnerability that allows a MITM attacker to force the RubyGems client
to download and install gems from a server that the attacker controls.

Upstream patches:

https://github.com/rubygems/rubygems/commit/8d91516fb7037ecfb27622f605dc40245e0f8d32

Bug report:

https://hackerone.com/reports/218088

External References:

http://blog.rubygems.org/2017/08/27/2.6.13-released.html

Comment 1 Adam Mariš 2017-09-01 11:01:42 UTC
Created ruby193-rubygems tracking bugs for this issue:

Affects: openshift-1 [bug 1487592]


Created rubygems tracking bugs for this issue:

Affects: fedora-all [bug 1487591]
Affects: openshift-1 [bug 1487593]

Comment 4 errata-xmlrpc 2017-12-19 08:38:09 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2017:3485 https://access.redhat.com/errata/RHSA-2017:3485

Comment 5 Cedric Buissart 🐶 2017-12-20 09:39:23 UTC
Statement:

This issue affects the versions of ruby as shipped with Red Hat Enterprise Linux 6, and 7 and the versions of rh-ruby22-ruby and rh-ruby23-ruby as shipped with Red Hat Software Collections. Red Hat Product Security has rated this issue as having Moderate security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 7 errata-xmlrpc 2018-02-28 20:02:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0378 https://access.redhat.com/errata/RHSA-2018:0378

Comment 10 errata-xmlrpc 2018-03-26 09:44:21 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2018:0583 https://access.redhat.com/errata/RHSA-2018:0583

Comment 11 errata-xmlrpc 2018-03-26 10:22:31 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2018:0585 https://access.redhat.com/errata/RHSA-2018:0585


Note You need to log in before you can comment on or make changes to this bug.